Bug 38874 - fonts.dir is created empty
fonts.dir is created empty
Status: CLOSED DUPLICATE of bug 38227
Product: Red Hat Linux
Classification: Retired
Component: ttfonts (Show other bugs)
7.1
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-02 22:55 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-02 22:56:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file patch to change the post install scripts (371 bytes, patch)
2001-05-02 22:56 EDT, Need Real Name
no flags Details | Diff

  None (edit)
Description Need Real Name 2001-05-02 22:55:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; 0.7) Gecko/20010316


/usr/share/fonts/default/TrueType/fonts.dir is created empty due to a
suspected bug in the post install script. The fonts.scale file is created
after the fonts.dir, hence mkfontdir doesn't have the fonts.scale file
available for input.


Reproducible: Always
Steps to Reproduce:
1.install ttfonts-1.0-3
2.Check the contents of /usr/share/fonts/default/TrueType/fonts.dir
3.
	

Actual Results:  The file is created empty after installing the rpm

Expected Results:  fonts.dir should contain a listing of the available fonts.

This was mentioned at one point on the Seawolf mailing list, however it
appears it was never reported to bugzilla.
I've created a patch to the spec file that should fix it.
Comment 1 Need Real Name 2001-05-02 22:56:41 EDT
Created attachment 17147 [details]
spec file patch to change the post install scripts
Comment 2 Bernhard Rosenkraenzer 2001-05-03 05:15:38 EDT

*** This bug has been marked as a duplicate of 38227 ***

Note You need to log in before you can comment on or make changes to this bug.